<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_822680520327e9387ae2d5c065ea52" . "e1" => base64_decode("YXJyYXlfZmxpcA" . "=="), "_49c6565477ee9f822b499a" . "53e6d2995f" => base64_decode("YXJyYXlfa2V5X2V4" . "aXN0cw=="), "_a591754a8dd" . "cdbda9c80f1d" . "b4d911e14" => base64_decode("aXNfbnVs" . "bA=="), "_bd71c3b5c201fc11db82ed14ce424de" . "5" => base64_decode("aW5fYXJyYX" . "k="), "_ed0a92347cd909e44675776" . "b13d6b3af" => base64_decode("aGVscGRlc2sucHJv" . "amVjdC5zdGF0dXNf" . "YWN0aXZl"), "_3f7951e8c3b" . "bc7d8ebfdb62" . "a955de0f6" => base64_decode("dGVzdGluZw=" . "="), "_74e38f6cf25f23337eeae4cf52eee3f" . "4" => base64_decode("aGVscGRlc2sucHJvamVjd" . "C5zdGF0dXNfYmxvY2tlZA" . "=="), "_50f3d86f340336be672e" . "f20f6b0f501c" => base64_decode("Ymxv" . "Y2tl" . "ZA=="), "_e08ee4eab8406b" . "76b8373318268d3" . "b35" => base64_decode("dW5" . "rbm" . "93b" . "g=="), "_1136b531f76a618ca" . "bf8599f43b2a8c9" => base64_decode("aGVscGRlc2sucHJvamVjdC5zdGF0dXNf" . "dGVzdGluZw=="), "activ" . "e" => base64_decode("YWN0" . "aXZl"), "_abc92ea12f6427cd462421d64fa" . "5617f" => base64_decode("LVVua25vd24" . "t"));




class ICProjectStatus
{
    
    
    
    
    
    
    protected static $all = null;
    
    
    
    
    
    
    protected static $rest = null;
    protected static function Init() : void
    {
        $lmsg = \Claromentis\Core\Services::I()->lmsg;
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a591754a8ddcdbda" . "9c80f1db4d911e14"](self::$all)) {
            self::$all = array(HD_PROJECT_ACTIVE => $lmsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ed0a92347cd909e44675776" . "b13d6b3af"]), HD_PROJECT_TESTING => $lmsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_1136b531f76a618cabf8599f43b" . "2a8c9"]), HD_PROJECT_BLOCKED => $lmsg($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_74e38f6cf25f2333" . "7eeae4cf52eee3f4"]));
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14"](self::$rest)) {
            self::$rest = [HD_PROJECT_BLOCKED => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_50f3d86f34" . "0336be672ef" . "20f6b0f501c"], HD_PROJECT_ACTIVE => $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["acti" . "ve"], HD_PROJECT_TESTING => $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_3f7951e8c3bbc7d8e" . "bfdb62a955de0f6"]];
        }
    }
    public static function GetAll() : array
    {
        self::Init();
        return self::$all;
    }
    public static function GetAllRest() : array
    {
        self::Init();
        return self::$rest;
    }
    public static function GetName($status) : string
    {
        self::Init();
        return self::$all[$status] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_abc92ea12f6" . "427cd462421d" . "64fa5617f"];
    }
    public static function GetRestName($status) : string
    {
        self::Init();
        return self::$rest[$status] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e08ee4eab8406b76b837331826" . "8d3b35"];
    }
    public static function FromRestName($_f7bd13ad0005434f6d6cc7b0a0c078d4) : ?int
    {
        self::Init();
        $_631ec41f278f45da4f2591ca70c72e0f = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_822680520" . "327e9387ae" . "2d5c065ea5" . "2e1"](self::$rest);
        return $_631ec41f278f45da4f2591ca70c72e0f[$_f7bd13ad0005434f6d6cc7b0a0c078d4] ?? null;
    }
    public static function IsValid(int $status) : bool
    {
        self::Init();
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_49c6565477ee9f822b499" . "a53e6d2995f"]($status, self::$all);
    }
    public static function IsValidRest(string $status) : bool
    {
        self::Init();
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_bd71c3b5c201f" . "c11db82ed14ce4" . "24de5"]($status, self::$rest);
    }
}